## CamelOfflineSettings CamelOfflineSettings |

## Functions

gboolean | camel_offline_settings_get_stay_synchronized ()
void | camel_offline_settings_set_stay_synchronized ()
gint | camel_offline_settings_get_store_changes_interval ()
void | camel_offline_settings_set_store_changes_interval ()

## Properties

gboolean | stay-synchronized | Read / Write / Construct
gint | store-changes-interval | Read / Write / Construct

## Types and Values

struct | CamelOfflineSettings

## Object Hierarchy

        GObject
        ╰── CamelSettings
            ╰── CamelStoreSettings
                ╰── CamelOfflineSettings
                    ├── CamelIMAPXSettings
                    ╰── CamelNNTPSettings

## Description

## Functions

### camel_offline_settings_get_stay_synchronized ()

    gboolean
    camel_offline_settings_get_stay_synchronized
                                   (CamelOfflineSettings *settings);

Returns whether to synchronize the local cache with the remote server before switching to offline mode, so the store's content can still be read while offline.

#### Parameters

settings | a CamelOfflineSettings |

#### Returns

whether to stay synchronized with the remote server

Since: 3.2

### camel_offline_settings_set_stay_synchronized ()

    void
    camel_offline_settings_set_stay_synchronized
                                   (CamelOfflineSettings *settings,
                                    gboolean stay_synchronized);

Sets whether to synchronize the local cache with the remote server before switching to offline mode, so the store's content can still be read while offline.

#### Parameters

settings | a CamelOfflineSettings |
stay_synchronized | whether to stay synchronized with the remote server |

Since: 3.2

### camel_offline_settings_get_store_changes_interval ()

    gint
    camel_offline_settings_get_store_changes_interval
                                   (CamelOfflineSettings *settings);

Returns the interval, in seconds, for the changes in the folder being saved automatically. 0 means immediately, while -1 means turning off automatic folder change saving.

#### Parameters

settings | a CamelOfflineSettings |

#### Returns

the interval for automatic store of folder changes

Since: 3.18

### camel_offline_settings_set_store_changes_interval ()

    void
    camel_offline_settings_set_store_changes_interval
                                   (CamelOfflineSettings *settings,
                                    gint interval);

Sets the interval, in seconds, for the changes in the folder being saved automatically. 0 means immediately, while -1 means turning off automatic folder change saving.

#### Parameters

settings | a CamelOfflineSettings |
interval | the interval, in seconds |

Since: 3.18

## Types and Values

### struct CamelOfflineSettings

    struct CamelOfflineSettings;

Contains only private data that should be read and manipulated using the functions below.

Since: 3.2

## Property Details

### The `“stay-synchronized”` property

      “stay-synchronized”        gboolean

Stay synchronized with the remote server.

Flags: Read / Write / Construct

Default value: FALSE

### The `“store-changes-interval”` property

      “store-changes-interval”   gint

Interval, in seconds, to store folder changes.

Flags: Read / Write / Construct

Default value: 3